BitStringTest Class Reference

`#include <BitStringTest.h>`

Inheritance diagram for BitStringTest:

## Public Member Functions

| BitStringTest (TestSuite *s)
void | setup (void)
void | cleanup (void)
void | testBitInputOutput (void)
void | testLength (void)
void | testDatatypeInput (void)
void | testDatatypeOutput (void)
void | testEquality (void)
void | testCutting (void)
void | testCompression (void)
void | testArity (void)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
void | run (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Attributes

BitString * | bs_0
BitString * | bs_1
BitString * | bs_10
BitString * | bs_001
BitString * | bs_100
BitString * | bs_1010
BitString * | bs_1110
BitString * | bs_01011
BitString * | bs_10010
BitString * | bs_10101110
BitString * | bs_101011101

## Additional Inherited Members

Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## BitStringTest()

BitStringTest::BitStringTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## cleanup()

void BitStringTest::cleanup | ( | void |  | ) |

virtual

cleanup the unit test - called after run

Reimplemented from UnitTest.

## setup()

void BitStringTest::setup | ( | void |  | ) |

virtual

setup the unit test - called before run

UnitTest::setup will (together with UnitTest::cleanup) save and restore the object stored in Globs so they should be called from the corresponding functions in the derived object if the derived unit test manipulates the Globs object.

Reimplemented from UnitTest.

## testArity()

void BitStringTest::testArity | ( | void |  | ) |

## testBitInputOutput()

void BitStringTest::testBitInputOutput | ( | void |  | ) |

## testCompression()

void BitStringTest::testCompression | ( | void |  | ) |

## testCutting()

void BitStringTest::testCutting | ( | void |  | ) |

## testDatatypeInput()

void BitStringTest::testDatatypeInput | ( | void |  | ) |

## testDatatypeOutput()

void BitStringTest::testDatatypeOutput | ( | void |  | ) |

## testEquality()

void BitStringTest::testEquality | ( | void |  | ) |

## testLength()

void BitStringTest::testLength | ( | void |  | ) |

## Member Data Documentation

## bs_0

BitString* BitStringTest::bs_0

private

## bs_001

BitString * BitStringTest::bs_001

private

## bs_01011

BitString * BitStringTest::bs_01011

private

## bs_1

BitString * BitStringTest::bs_1

private

## bs_10

BitString * BitStringTest::bs_10

private

## bs_100

BitString * BitStringTest::bs_100

private

## bs_10010

BitString * BitStringTest::bs_10010

private

## bs_1010

BitString * BitStringTest::bs_1010

private

## bs_10101110

BitString * BitStringTest::bs_10101110

private

## bs_101011101

BitString * BitStringTest::bs_101011101

private

## bs_1110

BitString * BitStringTest::bs_1110

private

The documentation for this class was generated from the following files:

- BitStringTest.h
- BitStringTest.cc